%undefine __cmake_in_source_build

Name:       ttyd
Version:    1.6.3
Release:    2%{?dist}
Summary:    Share your terminal over the web

License:    MIT
URL:        https://tsl0922.github.io/ttyd/
Source0:    https://github.com/tsl0922/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:     ws_ping_pong_interval.patch

%if 0%{?rhel}
BuildRequires:  gcc-toolset-10
%else
BuildRequires:  gcc-c++
%endif
BuildRequires:  json-c-devel
BuildRequires:  vim-common
BuildRequires:  cmake
BuildRequires:  libuv
BuildRequires:  openssl-devel
BuildRequires:  libwebsockets-devel
BuildRequires:  zlib-devel

%description
ttyd is a simple command-line tool for sharing terminal over the web,
inspired by GoTTY.

%prep
%autosetup -p2

%build
%if 0%{?rhel}
scl enable gcc-toolset-10 - << \SCLEOF
set -e
%endif
%cmake
%cmake_build
%if 0%{?rhel}
SCLEOF
%endif

%install
%cmake_install

%files
%license LICENSE
%doc README.md
%{_bindir}/ttyd
%{_mandir}/man1/ttyd.1.*

%changelog
* Tue Jun 29 2021 Levent Demirörs <levent.demiroers@profidata.com> - 1.6.3-2
- Build with GCC 10
